## org.biojava.bio.structure
Interface Atom

All Known Implementing Classes:
  AtomImpl

    public interface Atom

simple interface of an Atom.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic, Horvath Tamas

Method Summary
`java.lang.Object` `clone()` returns and identical copy of this object .
`java.lang.Character` `getAltLoc()` get set alternate Location.
`double[]` `getCoords()` get the coordinates.
`java.lang.String` `getFullName()` get full name of atom e.g.
`java.lang.String` `getName()` get trimmed version of atom name, e.g.
`double` `getOccupancy()` get occupancy.
`Group` `getParent()` Returns the parent Group of the Atom returns null if the referenced object is not Group
`java.lang.String` `getPDBline()` store the whole line.
`int` `getPDBserial()` get PDB atom number.
`double` `getTempFactor()` get set temp factor.
`double` `getX()` get cordinate X.
`double` `getY()` get cordinate Y.
`double` `getZ()` get cordinate Z.
`void` `setAltLoc(java.lang.Character c)` get set alternate Location.
`void` `setCoords(double[] c)` set the coordinates.
`void` `setFullName(java.lang.String s)` set full name of atom e.g.
`void` `setName(java.lang.String s)` set trimmed version of atom name, e.g.
`void` `setOccupancy(double occupancy)` set occupancy.
`void` `setParent(Group parent)` Sets the back-reference to its parent Group
`void` `setPDBline(java.lang.String s)` store the whole line.
`void` `setPDBserial(int i)` set PDB atom number.
`void` `setTempFactor(double temp)` get set temp factor .
`void` `setX(double x)` set the X coordinate
`void` `setY(double y)` set the Y coordinate
`void` `setZ(double z)` set the Z coordinate

Method Detail

### setName

    void setName(java.lang.String s)

  set trimmed version of atom name, e.g. "CA".

  Parameters:
    `s` - a String specifying the name value
  See Also:
    `getName()`

### getName

    java.lang.String getName()

  get trimmed version of atom name, e.g. "CA".

  Returns:
    a String representing the name value
  See Also:
    `setName(java.lang.String)`

### setFullName

    void setFullName(java.lang.String s)

  set full name of atom e.g. " CA ".

  Parameters:
    `s` - a String specifying the full name value
  See Also:
    `getFullName()`

### getFullName

    java.lang.String getFullName()

  get full name of atom e.g. " CA ".

  Returns:
    a String representing the full name value
  See Also:
    `setFullName(java.lang.String)`

### setPDBserial

    void setPDBserial(int i)

  set PDB atom number.

  Parameters:
    `i` - an int specifying the PDBserial value
  See Also:
    `getPDBserial()`

### getPDBserial

    int getPDBserial()

  get PDB atom number.

  Returns:
    an int representing the PDBserial value
  See Also:
    `setPDBserial(int)`

### setCoords

    void setCoords(double[] c)

  set the coordinates.

  Parameters:
    `c` - an array of doubles specifying the coords value
  See Also:
    `getCoords()`

### getCoords

    double[] getCoords()

  get the coordinates.

  Returns:
    an array of doubles representing the coords value
  See Also:
    `setCoords(double[])`

### setX

    void setX(double x)

  set the X coordinate

  Parameters:
    `x` - a double

### setY

    void setY(double y)

  set the Y coordinate

  Parameters:
    `y` - a double

### setZ

    void setZ(double z)

  set the Z coordinate

  Parameters:
    `z` - a double

### getX

    double getX()

  get cordinate X.

  Returns:
    a double

### getY

    double getY()

  get cordinate Y.

  Returns:
    a double

### getZ

    double getZ()

  get cordinate Z.

  Returns:
    a double

### setAltLoc

    void setAltLoc(java.lang.Character c)

  get set alternate Location.

  Parameters:
    `c` - a Character object specifying the alt loc value
  See Also:
    `getAltLoc()`

### getAltLoc

    java.lang.Character getAltLoc()

  get set alternate Location.

  Returns:
    a Character object representing the alt loc value
  See Also:
    `setAltLoc(java.lang.Character)`

### setPDBline

    void setPDBline(java.lang.String s)

  store the whole line.

  Parameters:
    `s` - a String specifying the PDBline value
  See Also:
    `getPDBline()`

### getPDBline

    java.lang.String getPDBline()

  store the whole line.

  Returns:
    a String representing the PDBline value
  See Also:
    `setPDBline(java.lang.String)`

### setOccupancy

    void setOccupancy(double occupancy)

  set occupancy.

  Parameters:
    `occupancy` - a double specifying the occupancy value
  See Also:
    `getOccupancy()`

### getOccupancy

    double getOccupancy()

  get occupancy.

  Returns:
    a double representing the occupancy value
  See Also:
    `setOccupancy(double)`

### setTempFactor

    void setTempFactor(double temp)

  get set temp factor .

  Parameters:
    `temp` - a double specifying the temp factor value
  See Also:
    `getTempFactor()`

### getTempFactor

    double getTempFactor()

  get set temp factor.

  Returns:
    a double representing the temp factor value
  See Also:
    `setTempFactor(double)`

### clone

    java.lang.Object clone()

  returns and identical copy of this object .

  Returns:
    and identical copy of this object

### setParent

    void setParent(Group parent)

  Sets the back-reference to its parent Group

  Parameters:
    `parent` - the parent Group

### getParent

    Group getParent()

  Returns the parent Group of the Atom returns null if the referenced object is not Group

  Returns:
    Group the parent Group of the Atom, or null